# openstack.orchestration.v1.template

## The Template Class

The `Template` class inherits from `Resource`.

class openstack.orchestration.v1.template.Template(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  allow_create = False

    Allow create operation for this resource.

  allow_list = False

    Allow list operation for this resource.

  allow_fetch = False

    Allow get operation for this resource.

  allow_delete = False

    Allow delete operation for this resource.

  allow_commit = False

    Allow update operation for this resource.

  description

    The description specified in the template

  parameters

    Key and value pairs that contain template parameters

  parameter_groups

    A list of parameter groups each contains a lsit of parameter names.

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.